> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/caf-api-pt-br/conectar/authentication/authenticating.md).

# Autenticando

Para autenticar com o Connect `API`, você deve obter um `OAuth2` token de acesso.

{% hint style="info" %}
A `client_id` e `client_secret` são obtidos de um aplicativo no Certta Trust. Veja [Aplicativos](/caf-api/caf-api-pt-br/conectar/authentication/applications.md) para mais detalhes.
{% endhint %}

{% openapi src="/files/840740a71862c47508363c8272a799ecd166f52b" path="/token" method="post" %}
[oauth2-token.yaml](https://262277803-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbVxCOSyBojfSIE5fcpfH%2Fuploads%2Fgit-blob-25eeaa62b8096262813383226a33e8b83fa3b776%2Foauth2-token.yaml?alt=media)
{% endopenapi %}

{% hint style="warning" %}
**Aviso importante sobre autenticação e integrações**

Todas as integrações com as APIs da Certta devem ser implementadas exclusivamente via backend/lado do servidor. Integrações no lado do cliente ou baseadas no frontend podem ser bloqueadas e aumentar significativamente o risco de exposição da chave de autenticação.

A Certta monitora continuamente o uso e a exposição das chaves de autenticação. Qualquer chave identificada como exposta, comprometida ou usada em implementações não conformes será revogada imediatamente, o que pode resultar na interrupção da operação associada, sem aviso prévio.

É responsabilidade do integrador garantir conformidade com os padrões de autenticação recomendados e as melhores práticas de segurança descritas nesta documentação.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-api/caf-api-pt-br/conectar/authentication/authenticating.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
